<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateInmobiliaria extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('inmobiliaria', ['id' => '`rut`'])
			->addColumn('rut', 'integer', ['length' => 8, 'null' => false, 'signed' => false])
			->addColumn('dv', 'char', ['length' => 1, 'default' => null, 'null' => true])
			->addColumn('razon', 'string', ['length' => 255, 'default' => null, 'null' => true])
			->addColumn('abreviacion', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('cuenta', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('banco', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('sociedad', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('sigla', 'string', ['length' => 4, 'default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
